Skip to content
Browse documentation

OpenAPI operations

Update an application

PATCH
/v1/applications/{id}
curl --request PATCH \
--url https://api.hooks.events/v1/applications/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "brandColor": "example", "customDomain": "example", "status": "active" }'

Requires the endpoints:write scope.

id
required
string
Media typeapplication/json
object
name
string
>= 1 characters <= 120 characters
brandColor
string
/^#[0-9a-f]{6}$/
customDomain
Any of:
string
<= 253 characters /^(?=.{4,253}$)(?:[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?\.)+[a-z]{2,63}$/
status
string
Allowed values: active archived

Success

Media typeapplication/json

Tenant application (one end customer)

object
id
required

Resource id

string
uid
required

Customer-side identifier, unique per workspace

string | null
name
required
string
brandColor
required

Portal accent color

string
customDomain
required

Customer hostname that fronts the portal

string | null
status
required
string
Allowed values: active archived
endpointId
required

Backing endpoint that receives the application’s messages

string
ingestUrl
required

Public URL of the backing endpoint

string
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
key
additional properties

Example

{
"status": "active"
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Resource not found

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets